Skip to main content
GET
/
v1
/
patterns
/
graph
Get Pattern Graph
curl --request GET \
  --url https://api.example.com/v1/patterns/graph \
  --header 'Authorization: Bearer <token>'
{
  "nodes": [
    {
      "id": "<string>",
      "label": "<string>",
      "score": 123,
      "risk_band": "<string>",
      "dashed": true,
      "ring_radius": 123,
      "cx": 123,
      "cy": 123,
      "href": "<string>",
      "issue_count": 0,
      "cluster_id": "<string>"
    }
  ],
  "edges": [
    {
      "source": "<string>",
      "target": "<string>",
      "weight": 123,
      "shared_factors": [
        "<string>"
      ]
    }
  ],
  "legend": [
    {
      "band": "<string>",
      "label": "<string>",
      "color_token": "<string>"
    }
  ],
  "computed_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

max_nodes
integer
default:12
Required range: 1 <= x <= 50
min_edge_weight
number
default:0.3
Required range: 0 <= x <= 1
layout
string
default:force

Response

Successful Response

nodes
PatternGraphNode · object[]
required
edges
PatternGraphEdge · object[]
required
legend
GraphLegendBand · object[]
required
computed_at
string
required